/*
Theme Name: Beaver Builder Child Theme
Theme URI: http://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: http://www.fastlinemedia.com
template: bb-theme
*/

/* Add your custom styles here... */

/* Add WhitePoint Digital Icons */
@font-face {
    font-family: 'WPD-Icons';
    src:  url('fonts/WPD-Icons.eot');
    src:  url('fonts/WPD-Icons.eot#iefix') format('embedded-opentype'),
    url('fonts/WPD-Icons.ttf') format('truetype'),
    url('fonts/WPD-Icons.woff') format('woff'),
    url('fonts/WPD-Icons.svg#WPD-Icons') format('svg');
    font-weight: normal;
    font-style: normal;
}

[class^="wpd-icons-"], [class*=" wpd-icons-"] {
    /* use !important to prevent issues with browser extensions that change fonts */
    font-family: 'WPD-Icons' !important;
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;

    /* Better Font Rendering =========== */
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}






.wpd-icons-email::before { content: "\e900"; }
.wpd-icons-phone::before { content: "\e901"; }
.wpd-icons-document::before { content: "\e902"; }
.wpd-icons-location::before { content: "\e903"; }
.wpd-icons-fill::before { content: "\e904"; }

i.wpd-icons-email::before,
i.wpd-icons-phone::before,
i.wpd-icons-document::before,
i.wpd-icons-location::before {
    z-index: 2;
    position:relative;
}

i.wpd-icons-email::after,
i.wpd-icons-phone::after,
i.wpd-icons-document::after,
i.wpd-icons-location::after {
    content: "\e904";
    position: relative;
    z-index: 1;
}



@font-face {
    font-family: 'WPD-Social';
    src:  url('fonts/WPD-Social.eot?9ht4hn');
    src:  url('fonts/WPD-Social.eot?9ht4hn#iefix') format('embedded-opentype'),
    url('fonts/WPD-Social.ttf?9ht4hn') format('truetype'),
    url('fonts/WPD-Social.woff?9ht4hn') format('woff'),
    url('fonts/WPD-Social.svg?9ht4hn#WPD-Social') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: block;
}

[class^="wpd-social-"], [class*=" wpd-social-"] {
    /* use !important to prevent issues with browser extensions that change fonts */
    font-family: 'WPD-Social' !important;
    speak: never;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;

    /* Better Font Rendering =========== */
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.wpd-social-GMB_Icon:before {
    content: "\e900";
}




.woocommerce-page ul.products li.product a.button, .woocommerce-page .woocommerce-message a.button, .woocommerce-page .woocommerce-message a.button.wc-forward, .woocommerce-page .woocommerce a.button.wc-forward, .woocommerce-page button.button, .woocommerce-page button.button.alt, .woocommerce-page a.button, .woocommerce-page a.button.alt, .woocommerce-page .woocommerce button[type=submit], .woocommerce-page button[type=submit].alt.disabled {
    color: #fff;
    background-color: #38a835;
    font-family: "Questrial",sans-serif;
    font-weight: normal;
    font-size: 16px;
    line-height: 1.2;
    text-transform: none;
    border-radius: 4px;
    border: none;
}

.woocommerce-page ul.products li.product a.button:hover, .woocommerce-page .woocommerce-message a.button:hover, .woocommerce-page button.button:hover, .woocommerce-page button.button.alt:hover, .woocommerce-page a.button.alt:hover, .woocommerce-page a.button:hover, .woocommerce-page .woocommerce button[type=submit]:hover, .woocommerce-page button[type=submit].alt.disabled:hover {
    /*background-color: #47e55c;*/
    background-color: #27842a;
    color: #fff;
    border: none;
}

.woocommerce #respond input#submit.alt.disabled, .woocommerce #respond input#submit.alt.disabled:hover, .woocommerce #respond input#submit.alt:disabled, .woocommerce #respond input#submit.alt:disabled:hover, .woocommerce #respond input#submit.alt:disabled[disabled], .woocommerce #respond input#submit.alt:disabled[disabled]:hover, .woocommerce a.button.alt.disabled, .woocommerce a.button.alt.disabled:hover, .woocommerce a.button.alt:disabled, .woocommerce a.button.alt:disabled:hover, .woocommerce a.button.alt:disabled[disabled], .woocommerce a.button.alt:disabled[disabled]:hover, .woocommerce button.button.alt.disabled, .woocommerce button.button.alt.disabled:hover, .woocommerce button.button.alt:disabled, .woocommerce button.button.alt:disabled:hover, .woocommerce button.button.alt:disabled[disabled], .woocommerce button.button.alt:disabled[disabled]:hover, .woocommerce input.button.alt.disabled, .woocommerce input.button.alt.disabled:hover, .woocommerce input.button.alt:disabled, .woocommerce input.button.alt:disabled:hover, .woocommerce input.button.alt:disabled[disabled], .woocommerce input.button.alt:disabled[disabled]:hover {
    background: #085805;
}

.fl-theme-builder-woo-notices.wpd-woo-notice {
    padding: 10px 0;
}

.fl-theme-builder-woo-notices.wpd-woo-notice .woocommerce-error {
    border-radius: 10px;
    margin: 0;
}

.wpd-long-description {
    margin-bottom: 25px;
}

.wpd-long-description p {
    font-size: 18px;
    line-height: 22px;
}

.wpd-long-description .wpd-detail-info {
    font-size: 16px;
    line-height: 18px;
    font-style: italic;
}


.wpd-details h6 {
    font-weight: bold;
    font-size: 14px;
    margin:0 auto;
    margin-bottom:5px;
    padding-bottom: 3px;
    border-bottom: solid 1px #bbb;
    width: 50%;
}

.wpd-details p {
    font-size: 16px;
}

.woocommerce #order_review_heading, .woocommerce-page #order_review_heading { margin-top: 0; }

#wpd-billing-details, #wpd-order-details {
    border: 1px solid #34a7de;
    border-radius: 10px;
    padding: 10px;
    margin: 0 0 25px 0;
}

.wpd-steps {
    color: #34a7de;
    font-size: 22px;
    padding-left: 10px;
}

/*Checkout Form*/

#billing_country_field,
#wpd-billing-details h3
{
    display: none;
}

#billing_city_field {
    display: inline-block;
    width: 48%;
    margin-right: 4%;
}

#billing_state_field {
    display: inline-block;
    width: 20%;
    margin-right: 4%;
}

#billing_postcode_field {
    display: inline-block;
    width: 24%;
}



#billing_phone_field {
    display: inline-block;
    width: 48%;
    margin-right: 4%;
}

#billing_email_field {
    display: inline-block;
    width: 48%;
}

#wpd-billing-details,
#wpd-order-details {
    background: rgba(56,168,53,.1);
}

#wpd-billing-details label,
#wpd-order-details label {
    color: #656565;
    font-family: "Questrial",sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.45;
    margin: 0;
}

#wpd-billing-details input[type=text],
#wpd-billing-details input[type=email],
#wpd-billing-details input[type=tel],
#wpd-billing-details input[type=password]
{
    background: #fcfcfc;
    background-image: none;
    border: 1px solid #b6b6b6;
    display: block;
    width: 100%;
    padding: 8px 12px;
    font-size: 20px;
    line-height: 20px;
    color: #000;
    vertical-align: middle;
    -moz-transition: all ease-in-out .15s;
    -webkit-transition: all ease-in-out .15s;
    transition: all ease-in-out .15s;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 8px;
}

#wpd-billing-details select {
    background: #fcfcfc;
    background-image: none;
    border: 1px solid #b6b6b6;
    display: block;
    width: 100%;
    padding: 7px 12px;
    font-size: 20px;
    line-height: 20px;
    color: #000;
    vertical-align: middle;
    -moz-transition: all ease-in-out .15s;
    -webkit-transition: all ease-in-out .15s;
    transition: all ease-in-out .15s;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 8px;
}

#wpd-billing-details input[type=text]:focus,
#wpd-billing-details input[type=email]:focus,
#wpd-billing-details input[type=tel]:focus,
#wpd-billing-details input[type=password]:focus,
span.select2-selection.select2-selection--single:focus
{
    border: 1px #38a835 solid;
    border-radius: 8px !important;
    outline: none;
}



span.select2.select2-container.select2-container--default.select2-container--below.select2-container--focus {
    font-size: 20px;
}

span.select2-selection.select2-selection--single {
    background-color: #fcfcfc;
    border-radius: 8px;
    height: 34px;
    margin: 0px 0 4px;
}

span#select2-billing_state-container {
    font-size: 20px;
    line-height: 20px;
    padding: 7px;
    color: #000;
}

.woocommerce-info {
    border-radius: 8px;
}

.woocommerce-password-strength {
    margin-top: 5px;
    border-radius: 20px;
    color: #454545;
}

.woocommerce table.shop_table, .woocommerce-page table.shop_table {
    background: rgba(0,0,0,.05);
    border: 1px solid #34a7de;
    -moz-border-radius: 8px;
    -webkit-border-radius: 8px;
    border-radius: 8px;
}




@media (max-width: 767px) {

    #billing_city_field,
    #billing_state_field,
    #billing_postcode_field,
    #billing_phone_field,
    #billing_email_field {
        display: inherit;
        width: inherit;
        margin-right: inherit;
    }

}